import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bounceable/flutter_bounceable.dart';
import 'package:flutter_styled_toast/flutter_styled_toast.dart';
import 'package:flutter_svg/svg.dart';

import '../../../widget/custom/spaces.dart';
import '../../../widget/text/custom_text_small_field.dart';
import '../../values/sizes.dart';

class AnimationHelper {
  static ToastFuture ShowToastCustom(
      {required BuildContext context,
      String? lable,
      bool? isHome = true,
      required VoidCallback? onTap}) {
    return showToastWidget(
        Container(
          margin: EdgeInsets.all(8),
          padding: EdgeInsets.symmetric(horizontal: 12, vertical: 8),
          decoration: BoxDecoration(
            color: Color(0xFF3aadaa),
            // borderRadius: BorderRadius.circular(8)
          ),
          child: Row(
            mainAxisSize: MainAxisSize.max,
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Expanded(
                  child: CustomTextSmallField(
                label: lable,
                maxLine: 3,
                color: Colors.white,
              )),
              SpaceW4(),
              Bounceable(
                onTap: onTap,
                child: Container(
                  color: Colors.transparent,
                  width: Sizes.WIDTH_90,
                  height: Sizes.HEIGHT_42,
                  padding: const EdgeInsets.symmetric(horizontal: 4),
                  child: Column(
                    mainAxisSize: MainAxisSize.min,
                    children: [
                      SvgPicture.asset(
                        "assets/images/ic_cart.svg",
                        width: Sizes.WIDTH_24,
                        height: Sizes.HEIGHT_24,
                        color: Colors.white,
                      ),
                      SpaceH2(),
                      Text(
                        "text_view_cart".tr(),
                        style: TextStyle(
                            color: Colors.white,
                            fontSize: Sizes.TEXT_SIZE_12,
                            fontWeight: FontWeight.w900,
                            fontStyle: FontStyle.normal),
                        maxLines: 1,
                      ),
                    ],
                  ),
                ),
              )
            ],
          ),
        ),
        context: context,
        animation: StyledToastAnimation.slideFromBottomFade,
        reverseAnimation: StyledToastAnimation.slideToBottomFade,
        startOffset: Offset(0.0, 30.0),
        reverseEndOffset: Offset(0.0, 30.0),
        position: StyledToastPosition(
            align: Alignment.bottomCenter, offset: isHome! ? 54.0 : 5),
        duration: Duration(milliseconds: 2000),
        animDuration: Duration(milliseconds: 200),
        curve: Curves.linearToEaseOut,
        dismissOtherToast: true,
        isIgnoring: false,
        reverseCurve: Curves.fastOutSlowIn);
  }
}
