import 'package:flutter/material.dart';

import '../../common/values/colors.dart';
import '../../common/values/sizes.dart';


class NetworkDialogue extends StatelessWidget {
  const NetworkDialogue({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Dialog(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(5),
      ),
      elevation: 0,
      backgroundColor: Colors.transparent,
      child: Container(
        padding: EdgeInsets.symmetric(
          horizontal: 10,
          vertical: 10,
        ),
        margin: EdgeInsets.only(top: 5),
        decoration: BoxDecoration(
          shape: BoxShape.rectangle,
          color: Colors.white,
          borderRadius: BorderRadius.circular(2),
        ),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Text(
              "Connect to a network",
              style: TextStyle(
                // fontSize: 20,
                color: Colors.black,
                fontWeight: FontWeight.w600,
              ),
            ),
            SizedBox(
              height: Sizes.HEIGHT_6,
            ),
            Text(
              "To use School App, turn on mobile data or connect to WiFi",
              style: TextStyle(
                color: Colors.black54,
              ),
              // textAlign: TextAlign.center,
            ),
            SizedBox(
              height: Sizes.HEIGHT_10,
            ),
            Align(
              alignment: Alignment.center,
              child: Container(
                width: double.infinity,
                decoration: BoxDecoration(
                  border: Border.all(
                    color: SharingColors.accentColor,
                  ),
                  borderRadius: BorderRadius.circular(3),
                ),
                child: TextButton(
                  onPressed: () => Navigator.of(context).pop(),
                  child: Text(
                    "OK",
                    style: TextStyle(
                      fontSize: Sizes.TEXT_SIZE_18,
                      color: SharingColors.accentColor,
                    ),
                  ),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
